Name:		floodmon
Version:	0.9.5
Release:	3.1
Summary:	Flood monitor
License:	GPLv3
Url:		http://sourceforge.net/projects/floodmon/
Group:		System
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-init.patch
Patch1:		%{name}-netmask32.patch
Patch2:		%{name}-config.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%define _initdir %{_sysconfdir}/init.d

%description
Floodmon is a small Perl daemon used to monitor a server
in order to detect SYN flood attacks, to alert the administrator
and to attempt to mitigate the attack up to a certain level.

%prep
%setup
%patch0
%patch1
%patch2

%build

%install
%__install -D -m0755 %{name} %{buildroot}%{_sbindir}/%{name}
%__install -D -m0644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}.conf
%__install -D -m0755 %{name}.initd %{buildroot}%{_initdir}/%{name}
%__install -D -m0755 %{name}-munin %{buildroot}%{_datadir}/munin/plugins/%{name}-munin


%clean
rm -rf %{buldroot}

%files
%defattr(-,root,root)
%doc changelog README
%{_sbindir}/%{name}
%{_initdir}/%{name}
%dir %{_datadir}/munin
%dir %{_datadir}/munin/plugins
%{_datadir}/munin/plugins/%{name}-munin
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Thu Jan 23 2014 cs@linux-administrator.com
- initial package
